#include <iostream>
#include <fstream>
#include <sstream>
#include <string>
#include <cstring>
#include <iomanip>
#include <math.h>
#include <ctime>
#include <bitset>
#include <LL_global.h>

using namespace std;

int main(int argc, char *argv[])
{
    char *inp_file = argv[1];
  //  int EAS1_Num_packs = -1, EAS2_Num_packs = -1, PAS_Num_packs = -1, 
    int HIS_Num_packs = -1, file_line_number = 0;
    cout << "Input file to be processed is: " << inp_file << endl;

/// NOW PROCESS THE FILE FOR EAS, PAS and HIS Low Latency Data...
    cout << endl << " Processing HIS Spectra data..." << endl;
    read_HIS_data(inp_file, HIS_Num_packs);
    cout << "Low latency processing of file: " << inp_file << " is now complete." << endl;
}

/////// Subroutines ////
void CurrentTime(unsigned long SCET_long, char * time_str, int flag) // Getting current Date or DateTime
{
   std::time_t SC_time_epoch1 = static_cast<time_t>(SCET_long);
   if(flag == 1)
   {
        strftime(time_str,80,"%FT%XZ",std::localtime(&SC_time_epoch1));
   }
   else if(flag == 2)
   {
	strftime(time_str,80,"_V%Y%m%d%H%MC",std::localtime(&SC_time_epoch1));
   }
   //tm* timePtr = localtime(&SC_time_epoch1);
   //return timePtr;
}

/////// Subroutines ////
void determineDate(unsigned long SCET_long, char * time_str) // Getting current Date or DateTime
{
   std::time_t SC_time_epoch1 = static_cast<time_t>(SCET_long+946684800);
   strftime(time_str,80,"%Y%m%d_V01",std::gmtime(&SC_time_epoch1));
}
